GET api/ProjectReportSummaryAL/{fromYear}/{fromMonth}/{toYear}/{toMonth}/{onlyActiveProjects}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| fromYear | integer |
Required |
|
| fromMonth | integer |
Required |
|
| toYear | integer |
Required |
|
| toMonth | integer |
Required |
|
| onlyActiveProjects | boolean |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of ExcelProjectReportSummaryAL| Name | Description | Type | Additional information |
|---|---|---|---|
| employeeName | string |
None. |
|
| revenuesThisPeriod | decimal number |
None. |
|
| resultThisPeriod | decimal number |
None. |
|
| dBPercentThisPeriod | decimal number |
None. |
|
| numberOfProjects | integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"employeeName": "sample string 1",
"revenuesThisPeriod": 2.1,
"resultThisPeriod": 3.1,
"dBPercentThisPeriod": 4.1,
"numberOfProjects": 5
},
{
"employeeName": "sample string 1",
"revenuesThisPeriod": 2.1,
"resultThisPeriod": 3.1,
"dBPercentThisPeriod": 4.1,
"numberOfProjects": 5
}
]
application/xml, text/xml
Sample:
<ArrayOfExcelProjectReportSummaryAL xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/WebAPILG.Models">
<ExcelProjectReportSummaryAL>
<dBPercentThisPeriod>4.1</dBPercentThisPeriod>
<employeeName>sample string 1</employeeName>
<numberOfProjects>5</numberOfProjects>
<resultThisPeriod>3.1</resultThisPeriod>
<revenuesThisPeriod>2.1</revenuesThisPeriod>
</ExcelProjectReportSummaryAL>
<ExcelProjectReportSummaryAL>
<dBPercentThisPeriod>4.1</dBPercentThisPeriod>
<employeeName>sample string 1</employeeName>
<numberOfProjects>5</numberOfProjects>
<resultThisPeriod>3.1</resultThisPeriod>
<revenuesThisPeriod>2.1</revenuesThisPeriod>
</ExcelProjectReportSummaryAL>
</ArrayOfExcelProjectReportSummaryAL>